import { BackgroundType, ColorType } from './color';
export declare const enum TextStyleType {
    BOLD = "b",
    ITALIC = "i",
    CODE = "c",
    LINK = "a",
    HIGH_LIGHT = "h",
    DELETED = "s",
    AT = "\u2023"
}
export declare const enum AtType {
    USER = "u",
    PAGE = "p"
}
declare type SimpleStyleType = [TextStyleType.BOLD | TextStyleType.ITALIC | TextStyleType.DELETED | TextStyleType.CODE];
declare type HighlightStyleType = [TextStyleType.HIGH_LIGHT, ColorType | BackgroundType];
declare type LinkStyleType = [TextStyleType.LINK, string];
declare type AtStyleText = [TextStyleType.AT, [AtType, string][]];
export declare type RichText = [string, (SimpleStyleType | HighlightStyleType | LinkStyleType | AtStyleText)[]?];
export {};
